org.cybergarage.upnp.event

## Class SubscriberList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Subscriber>
      - - org.cybergarage.upnp.event.SubscriberList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Subscriber>, Collection<Subscriber>, List<Subscriber>, RandomAccess

      public class SubscriberList
      extends Vector<Subscriber>

  A collection of UPnP event subscribers.

  This class extends Vector to manage a list of Subscriber objects that represent control points subscribed to receive event notifications from a UPnP service. It provides type-safe access and management of the subscriber pool.

  Key features:

  - Type-safe subscriber collection management
  - Exception-safe subscriber retrieval
  - Vector-based implementation for efficient access
  - Subscriber lookup and management operations

  This class is used by UPnP services to maintain a registry of all control points that have subscribed to receive event notifications, enabling efficient broadcast of state variable changes to interested parties.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriberList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Subscriber` | `getSubscriber(int n)`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### SubscriberList

          public SubscriberList()

  - ### Method Detail

    - #### getSubscriber

          public Subscriber getSubscriber(int n)